Package Details: python-scipy-mkl 1.4.1-2

Git Clone URL: https://aur.archlinux.org/python-scipy-mkl.git (read-only, click to copy)
Package Base: python-scipy-mkl
Description: SciPy is open-source software for mathematics, science, and engineering.
Upstream URL: http://www.scipy.org/
Licenses: BSD
Conflicts: python-scipy
Provides: python-scipy=1.4.1
Submitter: bred
Maintainer: petronny
Last Packager: petronny
Votes: 27
Popularity: 0.001228
First Submitted: 2012-09-06 19:34
Last Updated: 2020-02-03 03:31

Required by (343)

Sources (2)

Pinned Comments

petronny commented on 2019-06-26 08:47

Prebuilt binaries of this package can be found in arch4edu.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6

mSSM commented on 2013-03-17 20:37

Ok, some guys on #Python suggested that that comes from the fact that the Python2 version of the package is build with Python3 sources. I have removed the Python2 arguments from the PKGBUILD and the package seems to build fine for Python3. :)

mSSM commented on 2013-03-17 20:22

Ok, some guys on #Python suggested that that comes from the fact that the Python2 version of the package is build with Python3 sources. I have removed the Python2 arguments from the PKGBUILD and the package seems to build fine for Python3. :)

mSSM commented on 2013-03-17 20:09

Getting errors when trying to build the thing here. Any ideas?

compile options: '-I/usr/lib/python3.3/site-packages/numpy/core/include -I/usr/include/python3.3m -c'
icc: scipy/stats/_rank.c
icc -O3 -fPIC -fp-model strict -fomit-frame-pointer -openmp -xHost -w -shared build/temp.linux-x86_64-3.3/scipy/stats/_rank.o -L/usr/lib -Lbuild/temp.linux-x86_64-3.3 -lpython3.3m -o build/lib.linux-x86_64-3.3/scipy/stats/_rank.cpython-33m.so
running scons
Traceback (most recent call last):
File "setup.py", line 208, in <module>
setup_package()
File "setup.py", line 145, in setup_package
from numpy.distutils.core import setup
File "/usr/lib/python3.3/site-packages/numpy/__init__.py", line 131, in <module>
from ._import_tools import PackageLoader
File "/usr/lib/python3.3/site-packages/numpy/_import_tools.py", line 263
print(str(mess), file=sys.stderr)
^
SyntaxError: invalid syntax

bred commented on 2013-02-17 09:45

For this PKGBUILD you must use the imtel-mkl and intel-compilers provided in the Intel parallel studio XE:

See:
https://aur.archlinux.org/packages.php?ID=56337

lobisquit commented on 2013-02-16 20:58

where can I find "intel-fortran-compiler"? It doesn't seem to be in the AUR

spleach commented on 2013-01-15 16:44

Thanks for this and the numpy pkgbuild. May I suggest setting a local variable for these, so that for x86_64 builds:
--compiler == --fcompiler = 'intelem'
and otherwise
--compiler == --fcompiler == 'intel'

bred commented on 2012-09-17 19:00

For this PKGBUILD you must use the imtel-mkl provided in the Intel parallel studio XE:

https://aur.archlinux.org/packages.php?ID=56337